# Add a topic to watch

`POST /research/interests` · Rivier · search

Add a topic to watch.

- Scope: search:write
- Mcp: rivier_personas_interest_save
- Graphql: Mutation.searchInterestCreate
- Sdk: search.interest.create
- Cli: search interest create

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {},
  "additionalProperties": true
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/research/interests' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
```
